<div
    class="flex flex-col flex-auto items-top min-w-0"
    style="background-color: #f8f8f8"
>
    <!-- Logo -->
    <div class="w-full sm:w-auto px-4 sm:p-1 shadow bg-white">
        <div class="container mx-auto flex justify-between">
            <div class="container flex items-center h-14 px-4 mb-3 pb-0">
                <!-- Light version -->
                <img
                    class="dark:hidden w-30"
                    src="assets/images/logo/bursa-malaysia-logo.svg"
                    alt="Logo image"
                />
                <!-- Dark version -->
                <img
                    class="hidden dark:flex w-30"
                    src="assets/images/logo/bursa-malaysia-logo.svg"
                    alt="Logo image"
                />
            </div>
            <div
                class="flex items-center cursor-pointer"
                [routerLink]="['/sign-in']"
            >
                <span class="mt-6 mb-6 font-333 font-Regular-18">Login</span>
            </div>
        </div>
    </div>

    <div class="container mx-auto flex justify-between">
        <div
            class="flex items-center cursor-pointer"
            [routerLink]="['/sign-in']"
        >
            <mat-icon class="mt-6 mb-6" style="color: #0038ff"
                >keyboard_arrow_left</mat-icon
            ><span class="mt-6 mb-6 font-Semibold-20" style="color: #0038ff"
                >Back</span
            >
        </div>
        <div>
            <mat-icon class="mt-6 mb-6 cursor-pointer" style="color: #0038ff"
                >help_outline</mat-icon
            >
        </div>
    </div>

    <div class="flex flex-col pt-6 mx-6">
        <div class="mt-2 font-Semibold-40 font-141461 leading-none text-center">
            <div>Register</div>
        </div>
    </div>

    <div
        class="items-top justify-center mt-7 mx-auto w-full sm:w-auto px-4 p-8 md:p-12 bg-card box-width"
        style="box-shadow: 0px 0px 6px #0000001a"
    >
        <div class="w-full max-w-100 sm:w-96 px-8 py-4 sm:mx-0">
            <!-- Logo -->
            <!-- <div class="w-12">
        <img src="assets/images/logo/logo.svg">
    </div> -->

            <!-- Title -->
            <div class="-mt-4 font-Semibold-20">Investor Type</div>
            <br />
            <form [formGroup]="InvestorTypeForm" #InvestorTypeNgForm="ngForm">
                <div class="flex items-baseline mt-0.5 font-normal">
                    <div class="flex flex-col w-full space-y-4 ...">
                        <div
                            *ngFor="let item of radioData"
                            [class.checked]="selectedOption === item.id"
                            class="button-type button-r5 h-full items-center px-5"
                        >
                            <label
                                for="{{ item.id }}"
                                class="align-middle font-Regular-16"
                                >{{ item.name }}</label
                            >
                            <input
                                type="radio"
                                formControlName="myRadioGroup"
                                [value]="item.id"
                                id="{{ item.id }}"
                                [(ngModel)]="selectedOption"
                                [checked]="selectedOption === item.id"
                                (change)="selectedOption = item.id"
                                required
                            />
                        </div>
                    </div>
                </div>
                <div>
                    <!-- Submit button -->
                    <button
                        class="fuse-mat-button-large w-full mt-6 button-r5"
                        mat-flat-button
                        [color]="'primary'"
                        (click)="onSubmit()"
                    >
                        Continue
                    </button>
                </div>
            </form>
        </div>
    </div>
</div>
